Google Web Toolkit (Beta)
Search this site:

# Interface FormHandler

public interface FormHandler
extends EventListener
Handler interface for form submit events.

## Methods

onSubmit(FormSubmitEvent) | Fired when the form is submitted.
onSubmitComplete(FormSubmitCompleteEvent) | Fired when a form has been submitted successfully.

## Method Detail

### onSubmit

public void onSubmit(FormSubmitEvent event)
Fired when the form is submitted.

The FormPanel must not be detached (i.e. removed from its parent or otherwise disconnected from a RootPanel) until the submission is complete. Otherwise, notification of submission will fail.

#### Parameters

event
  an event object containing information about the form submission

### onSubmitComplete

public void onSubmitComplete(FormSubmitCompleteEvent event)
Fired when a form has been submitted successfully.

#### Parameters

event
  an event object containing information about the form submission